tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Durham David R CNTR AMC CSS/SAS <durha...@scott.af.mil>
Subject RE: Redhat 7.0 Installation Problem
Date Fri, 27 Oct 2000 14:53:40 GMT
It looks like I might have a version of ant that is incompatible with my
build.xml file.

I made the changes to the build.sh, that seemed to make sense.  I got the
same error and then I realized that I needed to modify build.xml

Upon modifying build.xml I encountered I received "[copydir] Deprecated"
messages as well as this message:

"Class org.apache.tools.ant.taskdefs.Chmod doesn't support the "src"
attribute."

I'm thinking that I could modify build.xml but I'm also thinking that
perhaps I have a compatability issue with ant and tomcat.

Any thoughts?




> -----Original Message-----
> From: Harry Blundell [mailto:harry@halcyoninc.com]
> Sent: Friday, October 27, 2000 8:59 AM
> To: 'tomcat-user@jakarta.apache.org'
> Subject: Re: Redhat 7.0 Installation Problem
> 
> 
> I had a similar problem with Tomcat 3.1, Ant 1.1 and Sun JDK 1.2.2 on
> Solaris - the names of the jar files have changed, but the 
> contents are
> all there. Here's the change I made to build.sh to correct 
> the classpath
> - you probably need to do something similar:
> 
> < 
> cp=../jakarta-ant/lib/ant.jar:../jakarta-tools/moo.jar:../jaka
> rta-ant/lib/xml.jar:../build/tomcat/classes:$JAVA_HOME/lib/too
> ls.jar:$JAVA_HOME/lib/dev.jar
> ---
> >
> cp=../jakarta-ant/lib/ant.jar:../jakarta-ant/lib/jaxp.jar:../j
> akarta-ant/lib/parser.jar:$JAVA_HOME/lib/tools.jar
> 
> Harry
> ----------------------------------------------------------------------
> Harry Blundell       Halcyon Inc.       URL: http://www.HalcyonInc.com
> 2300 Yonge St., Suite 1801, Box 2419, Toronto ON  M4P 1E4, Canada.
> PHONE: 416-932-4631   FAX: 416-932-4711    EMAIL: harry@HalcyonInc.com
> 
> 
> On Fri, 27 Oct 2000, Durham David R CNTR AMC CSS/SAS wrote:
> 
> > 
> > I'm trying to install tomcat on a redhat 7 system.  I'm 
> getting an error
> > message saying that "../jakarta-ant/lib/xml.jar does not 
> exist".  I checked
> > that location and the file is not there, but I'm not sure 
> what I did wrong
> > when I installed jakarta-ant.  Can anyone help?
> > 
> > 
> > 
> > David R Durham
> 
> 

Mime
View raw message